Subject: Re: [SWIPL]add/remove facts

From: "Richard A. O'Keefe" <[email-masked]>
Date: Tue, 13 Feb 2001 16:16:20 +1300 (NZDT)

From: "Robin Haberkorn" <[email-masked]> wrote:
	
	Hello, what means the following in Prolog?
	
	If you take X, X is in the inventar.
	
This means nothing in Prolog, nor can I figure out what the English is
supposed to mean.  Can you say it another way?

	(I want to have a fact that X is in the inventar(inventar(X)) if
	the function take was called with the argument X(take(X))
        (for X a word that is on the ground (ground(word).))
	and then X shall not still are on the ground!)

I do not understand this at all.
What is an "inventar"?
What type of thing is X supposed to be?
What does it mean for one of those things to be "in the inventar"?
What is the domain of take?  What is its range?
Since Prolog is a relational language, not a functional one,
what do you intend when you call take a function>
If X is a word, how are words represented?
Since words are not physical objects, they cannot be on the ground.
If you mean that X is to be bound to a ground term that represents
a word, then it is not possible for it to turn into something that
not ground; in forward calculation terms can only become MORE
instantiated, not less.